WordPress.org

Support

Support » Plugins and Hacks » Latest version of flickr-photo-post breaks new 3.3 uploader

Latest version of flickr-photo-post breaks new 3.3 uploader

Viewing 3 replies - 1 through 3 (of 3 total)
  • To fix the plugin (it works with these fixes as far as I’ve tested) :

    open flickr-photo-post.php

    and change beginning of: function flickr_init_method() {
    to:

    // wp_deregister_script( 'jquery' );
        // wp_register_script( 'jquery', WP_FLICKR_PLUGIN_URL . "/js/jquery.min.js");
        wp_enqueue_script( 'jquery' );
    
        // wp_deregister_script( 'jquery-ui-core' );
        // wp_register_script( 'jquery-ui-core', WP_FLICKR_PLUGIN_URL . "/js/jquery-ui.min.js");
        wp_enqueue_script("jquery-ui-core");
        wp_enqueue_script("jquery-ui-dialog");

    (comment out first two wp_deregister_script() and wp_register_script(). This way plugin won’t load older version of jQuery and jQuery UI as newer versions are included in WP 3.3 (and required).

    At the end you also added ‘jquery-ui-dialog’ that is required to use dialogs by this plugin.

    Then open js/jquery.flickr.js

    and at the beginning of file add:

    ;(function($) {

    and at the end

    })(jQuery);

    (it doesn’t matter where, as long as it’s on the own line and not part of the /* .. */ comment.

    That’s it 🙂

    Thanks JureCuhalev,

    This fixed it for me, I appreciate your post on this.

    that’s great, and I appreciate the fix, JureCuhalev. But, we shouldn’t have to do that, and a new update for the plugin should be released.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Latest version of flickr-photo-post breaks new 3.3 uploader’ is closed to new replies.